MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024848Open CASCADE[OCCT] OCCT:Codingpublic2014-04-16 18:132014-05-05 13:39
Reporterski 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.1 
Target Version[OCCT] 6.7.1Fixed in Version[OCCT] 6.7.1 
Summary0024848: CLang warnings -Wunused-value
DescriptionCLang on Mac OS X 10.9 reports warning -Wunused-value:
QABugs_11.cxx:2485:7: warning: ignoring return value of function declared with const attribute [-Wunused-value]
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0028898)
ski (developer)
2014-04-16 18:18

Warning should be fixed.
Changes are located in branch CR24848.
Please, review.
(0028899)
abv (manager)
2014-04-16 18:24

No remarks, please compile only on MacOS X to check absence of warning, and then integrate; no testing is needed
(0028911)
mkv (tester)
2014-04-17 10:01

Dear BugMaster,

Branch CR24848 was compiled on MacOS platform.
SHA-1: 168230b82f0fa4c7372c02f3cf905335d9068a41

Number of compiler warnings:

occt component :
MacOS: 412 (413 on master)

- Related Changesets
occt: master 31249d19
Timestamp: 2014-04-16 14:16:33
Author: ski
Committer: apn
Details ] Diff ]
0024848: CLang warnings -Wunused-value

Warning should be fixed.
mod - src/QABugs/QABugs_11.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-04-16 18:13 ski New Issue
2014-04-16 18:13 ski Assigned To => ski
2014-04-16 18:14 ski Status new => assigned
2014-04-16 18:18 ski Note Added: 0028898
2014-04-16 18:18 ski Assigned To ski => abv
2014-04-16 18:18 ski Status assigned => resolved
2014-04-16 18:24 abv Note Added: 0028899
2014-04-16 18:24 abv Assigned To abv => bugmaster
2014-04-16 18:24 abv Status resolved => reviewed
2014-04-17 09:58 bugmaster Target Version => 6.7.1
2014-04-17 10:01 mkv Note Added: 0028911
2014-04-17 10:10 mkv Test case number => Not needed
2014-04-17 10:10 mkv Status reviewed => tested
2014-04-18 16:02 apn Changeset attached => occt master 31249d19
2014-04-18 16:02 apn Assigned To bugmaster => apn
2014-04-18 16:02 apn Status tested => verified
2014-04-18 16:02 apn Resolution open => fixed
2014-05-05 13:20 bugmaster Status verified => closed
2014-05-05 13:39 aiv Fixed in Version => 6.7.1


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker